Subject: RE: Order On Hold (#EH-202103280032-211873)
From: Jessica Stephenson <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "Deb ([email-masked])" <[email-masked]>, manager <[email-masked]>
Date: Mon, 29 Mar 2021 13:38:52 +0000

THe order was canceled.

Jessica Stephenson  |  Processing Manager
Specialty Fulfillment Center Inc
3 - 17th Avenue South
Nampa, Idaho 83651
208.466.2647
[email-masked]<mailto:[email-masked]>

Complete Customer Fulfillment Management
[SFC Logo]
SFC is committed to delivering a full range of order fulfillment solutions in an easy-to-implement, cost effective friendly manner
Experience Matters

From: HFL Support Team <[email-masked]>
Sent: Sunday, March 28, 2021 10:57 PM
To: Jessica Stephenson <[email-masked]>
Cc: Deb ([email-masked]) <[email-masked]>; manager <[email-masked]>
Subject: Re: Order On Hold (#EH-202103280032-211873)

Hi Jessica,

Customer replied that, he was drunk while placing the order so he would like to cancel the order. I have gone ahead and cancelled the order and issue the refund in full. If you receive this order in your system, please cancel and do not ship,

Thanks & Regards
Davina

On Mon, Mar 29, 2021 at 10:02 AM HFL Support Team <[email-masked]<mailto:[email-masked]>> wrote:
Hi Jessica,

Greetings for the day. I hope you are doing well.

This is to inform you that, please put the said order on hold. The customer asked to cancel the order but haven't provide the valid reason behind the cancellation. Waiting for the customer's response. I will update you once received the reason.

Order ID # EH-202103280032-211873
Name:Stephen Harrell
Address:3160 Briarpatch Rd., Zolfo Springs Florida
City:Zolfo Springs
State:FL
Zip:33890
Country:United States

ZD#100562

Thanks & Reagrds,
Davina